attribute vec3 tangent;
uniform vec3 CAMERA_POSITION;
varying vec3 eyeVec;
varying vec3 lightVec;

void main()
{

gl_Position = ftransform();
gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0;
vec3 binormal = cross(gl_Normal, tangent);
binormal = normalize(binormal);
mat3 TBNMatrix = mat3( gl_NormalMatrix * tangent, gl_NormalMatrix * binormal, gl_NormalMatrix *  gl_Normal);
//mat3 TBNMatrix = mat3( tangent, binormal, gl_Normal);
vec3 vVertex = vec3(gl_ModelViewMatrix * gl_Vertex);

eyeVec = -vVertex;
eyeVec *= TBNMatrix;

//lightVec = gl_Vertex.xyz - gl_LightSource[1].position.xyz;
lightVec = gl_LightSource[1].position.xyz - gl_Vertex.xyz;
lightVec *= TBNMatrix;

} 
